ismail0100

OpenVpn

Tavsiye Edilen İletiler

Emir
rTorrent ekleyebiliyor muyuz bu 1Euroluk pakede? 

Vultr'da sata disk olan pakette denemiştim. Debian, Ubuntu sistemde bu script çok rahat işinizi görür https://github.com/arakasi72/rtinst

D6503 cihazımdan Tapatalk kullanılarak gönderildi

  • Beğeni 1

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
ehl-i karye

Teşekkür ederim. 

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
ismail0100

Kyk internetinde çalışmıyor :]

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
mnth

@ismail0100

 

çalışmaz 1194 openvpn default portudur ve genelde tüm firewallarda blokludur.

 

443 (https) yada 53 (DNS) portlarından çıkabilecek vpn lazım size :) 

  • Beğeni 1

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
ismail0100
[mention=313]ismail0100[/mention]
 
çalışmaz 1194 openvpn default portudur ve genelde tüm firewallarda blokludur.
 
443 (https) yada 53 (DNS) portlarından çıkabilecek vpn lazım size  

Biz yapabilir miyiz? :)

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
mnth
ismail0100, Şimdi tarihinde yazdı:


Biz yapabilir miyiz? :)

 

iyi linux ve iyi ağ bilgisi ile olur :)

  • Beğeni 1

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
ismail0100
 
iyi linux ve iyi ağ bilgisi ile olur

Kısaca hayır olarak alıyorum bunu :)
Teşekkürler :)

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
nukleer
ismail0100, 4 dakika önce tarihinde yazdı:


Biz yapabilir miyiz? :)

 

Kendi VPS sunucunuza buradaki script ile kolayca kurabilirsiniz. Kurulum sırasında Protokol olarak TCP, port olarak da 443 seçerseniz büyük ihtimalle çalışır.

 

https://github.com/Nyr/openvpn-install

  • Beğeni 1

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
ismail0100
 
Kendi VPS sunucunuza buradaki script ile kolayca kurabilirsiniz. Kurulum sırasında Protokol olarak TCP, port olarak da 443 seçerseniz büyük ihtimalle çalışır.
 
https://github.com/Nyr/openvpn-install

Deneyeceğim :) şu anda kuruluyu silmeliyim demi? Teşekkürler :)

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
nukleer
ismail0100, Şimdi tarihinde yazdı:


Deneyeceğim :) şu anda kuruluyu silmeliyim demi? Teşekkürler :)

 

Evet silmelisiniz.

  • Beğeni 1

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
ismail0100
nukleer, 2 saat önce tarihinde yazdı:

 

Evet silmelisiniz.

Tekrardan teşekkür ederim denedim ve oldu :)

  • Beğeni 1

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
nukleer
ismail0100, 12 dakika önce tarihinde yazdı:

Tekrardan teşekkür ederim denedim ve oldu :)

 

Rica ederim :)

  • Beğeni 1

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
ismail0100

Bir arkadaşıma da kurdum bunu ama İtalya yerine brezilyadan bağlı görünüyor dedi. Kodi de Tv seyretmek için kullanıyor Avrupa olması gerekmiş.

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
ocuonline

Almanya lokasyonlu vpn server var. isterseniz client hesap verebilirim.

  • Beğeni 1

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
ismail0100
Almanya lokasyonlu vpn server var. isterseniz client hesap verebilirim.
Kendim kullanmayacağım teşekkür ederim.

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
ismail0100

i3Bgp__wQpyp4tOIy89_5Q.png

Herşeyi aynı yaptım ama böyle hata alıyorum. Nette arattım ama yabancı dile yönelik olduğu için tam anlayamadım.

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
nukleer

Yukarıda paylaştığım script ile mi kurulum yaptınız? Elinizdeki yapılandırma dosyası bozuk gibi görünüyor.

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
ismail0100
nukleer, 1 sa önce tarihinde yazdı:

Yukarıda paylaştığım script ile mi kurulum yaptınız? Elinizdeki yapılandırma dosyası bozuk gibi görünüyor.

Aynen onunla yaptım. İlk önce kuruluyu kaldırdım sonra tekrar kurulum yaptırdım.  4-5 kere yaptım ama olmadı.

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
ismail0100
Spoiler

Looks like OpenVPN is already installed

What do you want to do?
   1) Add a new user
   2) Revoke an existing user
   3) Remove OpenVPN
   4) Exit
Select an option [1-4]: 3

Do you really want to remove OpenVPN? [y/n]: y
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 linux-image-extra-4.4.0-97-generic : Depends: linux-image-4.4.0-97-generic but                                                                                         it is not going to be installed
 linux-image-generic : Depends: linux-image-4.4.0-97-generic but it is not going                                                                                         to be installed
                       Recommends: thermald but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a s                                                                                        olution).

OpenVPN removed!
 

Burada bir hata yok sanırım kaldırmada.

 

Spoiler

Which protocol do you want for OpenVPN connections?
   1) UDP (recommended)
   2) TCP
Protocol [1-2]: 2

What port do you want OpenVPN listening to?
Port: 443

Which DNS do you want to use with the VPN?
   1) Current system resolvers
   2) Google
   3) OpenDNS
   4) NTT
   5) Hurricane Electric
   6) Verisign
DNS [1-6]: 1

Finally, tell me your name for the client certificate
Please, use one word only, no special characters
Client name: i

Okay, that was all I needed. We are ready to setup your OpenVPN server now
Hit:1 http://it.archive.ubuntu.com/ubuntu xenial InRelease
Get:2 http://it.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
Hit:3 http://security.ubuntu.com/ubuntu xenial-security InRelease
Get:4 http://it.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Get:5 http://it.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [665 kB]
Get:6 http://it.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [627 kB]
Get:7 http://it.archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [278 kB]
Get:8 http://it.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [552 kB]
Get:9 http://it.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [524 kB]
Fetched 2,851 kB in 1s (2,372 kB/s)
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
iptables is already the newest version (1.6.0-2ubuntu3).
ca-certificates is already the newest version (20170717~16.04.1).
openvpn is already the newest version (2.3.10-1ubuntu2.1).
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 linux-image-extra-4.4.0-97-generic : Depends: linux-image-4.4.0-97-generic but                                                                                         it is not going to be installed
 linux-image-generic : Depends: linux-image-4.4.0-97-generic but it is not going                                                                                         to be installed
                       Recommends: thermald but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a s                                                                                        olution).
--2017-11-21 20:24:30-- https://github.com/OpenVPN/easy-rsa/releases/download/v                                                                                        3.0.3/EasyRSA-3.0.3.tgz
Resolving github.com (github.com)... 192.30.253.112, 192.30.253.113
Connecting to github.com (github.com)|192.30.253.112|:443... connected.
HTTP request sent, awaiting response... 302 Found
Location: https://github-production-release-asset-2e65be.s3.amazonaws.com/451966                                                                                        3/8b828c62-8710-11e7-96f3-667ce61d734e?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Cr                                                                                        edential=AKIAIWNJYAX4CSVEH53A%2F20171121%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-D                                                                                        ate=20171121T192430Z&X-Amz-Expires=300&X-Amz-Signature=77752d3ac6ddc191312cf6d0d                                                                                        66cc187c30ae9267ed4c1f64d9fdba0c7d0b9a9&X-Amz-SignedHeaders=host&actor_id=0&resp                                                                                        onse-content-disposition=attachment%3B%20filename%3DEasyRSA-3.0.3.tgz&response-c                                                                                        ontent-type=application%2Foctet-stream [following]
--2017-11-21 20:24:30-- https://github-production-release-asset-2e65be.s3.amazo                                                                                        naws.com/4519663/8b828c62-8710-11e7-96f3-667ce61d734e?X-Amz-Algorithm=AWS4-HMAC-                                                                                        SHA256&X-Amz-Credential=AKIAIWNJYAX4CSVEH53A%2F20171121%2Fus-east-1%2Fs3%2Faws4_                                                                                        request&X-Amz-Date=20171121T192430Z&X-Amz-Expires=300&X-Amz-Signature=77752d3ac6                                                                                        ddc191312cf6d0d66cc187c30ae9267ed4c1f64d9fdba0c7d0b9a9&X-Amz-SignedHeaders=host&                                                                                        actor_id=0&response-content-disposition=attachment%3B%20filename%3DEasyRSA-3.0.3                                                                                        .tgz&response-content-type=application%2Foctet-stream
Resolving github-production-release-asset-2e65be.s3.amazonaws.com (github-produc                                                                                        tion-release-asset-2e65be.s3.amazonaws.com)... 52.216.163.11
Connecting to github-production-release-asset-2e65be.s3.amazonaws.com (github-pr                                                                                        oduction-release-asset-2e65be.s3.amazonaws.com)|52.216.163.11|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 40960 (40K) [application/octet-stream]
Saving to: ‘/root/EasyRSA-3.0.3.tgz’

/root/EasyRSA-3.0.3 100%[===================>]  40.00K   198KB/s    in 0.2s

2017-11-21 20:24:31 (198 KB/s) - ‘/root/EasyRSA-3.0.3.tgz’ saved [40960/40960]

mv: cannot stat '/etc/openvpn/EasyRSA-3.0.3/': No such file or directory
chown: cannot access '/etc/openvpn/easy-rsa/': No such file or directory
openvpn-install.sh: line 245: cd: /etc/openvpn/easy-rsa/: No such file or direct                                                                                        ory
openvpn-install.sh: line 247: ./easyrsa: No such file or directory
openvpn-install.sh: line 248: ./easyrsa: No such file or directory
openvpn-install.sh: line 249: ./easyrsa: No such file or directory
openvpn-install.sh: line 250: ./easyrsa: No such file or directory
openvpn-install.sh: line 251: ./easyrsa: No such file or directory
openvpn-install.sh: line 252: ./easyrsa: No such file or directory
cp: cannot stat 'pki/ca.crt': No such file or directory
cp: cannot stat 'pki/private/ca.key': No such file or directory
cp: cannot stat 'pki/dh.pem': No such file or directory
cp: cannot stat 'pki/issued/server.crt': No such file or directory
cp: cannot stat 'pki/private/server.key': No such file or directory
cp: cannot stat 'pki/crl.pem': No such file or directory
chown: cannot access '/etc/openvpn/crl.pem': No such file or directory
401
Job for openvpn@server.service failed because the control process exited with er                                                                                        ror code. See "systemctl status openvpn@server.service" and "journalctl -xe" for                                                                                         details.
cat: /etc/openvpn/easy-rsa/pki/ca.crt: No such file or directory
cat: /etc/openvpn/easy-rsa/pki/issued/i.crt: No such file or directory
cat: /etc/openvpn/easy-rsa/pki/private/i.key: No such file or directory

Finished!

Your client configuration is available at /root/i.ovpn
If you want to add more clients, you simply need to run this script again!
 

Ama burada sıkıntı var sanki kod artık geçersiz gibi.

tarihinde ismail0100 tarafından düzenlendi

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş
nukleer

Kurmadan önce şu komutlarla OpenVPN'i tamamen kaldırın ve paketleri güncelleyin. Daha sonra scripti baştan kurmayı deneyin. Yine de olmazsa Ubuntu yerine Debian üzerinde kurayı deneyin.

 

sudo apt-get remove --purge -y openvpn
sudo apt-get update && sudo apt-get upgrade -y

 

 

 

tarihinde nukleer tarafından düzenlendi
  • Beğeni 1

İletiyi paylaş


Bağlantıyı ilet
Sitelerde Paylaş

Yorum yazmak için hesap oluşturun veya oturum açın

Yorum yapmak için üye olmanız gerekiyor

Hesap oluştur

Hesap oluşturmak ve bize katılmak çok kolay.

Hesap Oluştur

Giriş yap

Zaten bir hesabınız var mı? Buradan giriş yapın.

Giriş Yap

  • Konuyu Görüntüleyenler   0 kullanıcı

    Sayfayı görüntüleyen kayıtlı kullanıcı bulunmuyor.